function load_report_list() {
    $.post(site_url + '/api/reports/read', { }, function(data) { 
        if ($('input[name="loaded_id"]').val() == 0) { en = ' selected'; } else { en = ''; }
        var html = '<optgroup label="Saved Reports"></optgroup>';
        $.each(data, function(key, record) {
            if ($('input[name="loaded_id"]').val() == record.rid) { selected = ' selected'; } else { selected = ''; }
            if (record.editable == '1') { editable = ''; } else { editable = ' *'; }
            html += '<option value="' + record.rid + '"' + selected + '>' + record.name + editable + '</option>';
        });
        
        $('#report_list').html(html).trigger('change');
    });
}

function get_human_friendly_date(nfdump_date)
{
    var datetime = nfdump_date.split('.');
    var sd = datetime[0].split('/');
    
    var sd = sd[1] + "/" + sd[2] + "/" + sd[0];
    var readable = sd + " " + datetime[1];
    
    return readable;
}

function reset_all() {
    $('input[name="loaded_id"]').val('');
        
    name.val('');
    $('#test').html('');
    $('#test-name').html('');
}

function human_readable_headers(header) {        
    switch (header) {
        case 'start':
            return 'Start Date';
        case 'end':
            return 'End Date';
        case 'duration':
            return 'Duration';
        case 'protocol':
            return 'Protocol';
        case 'srcip':
            return 'Source IP';
        case 'dstip':
            return 'Destination IP';
        case 'srcport':
            return 'Source Port';
        case 'dstport':
            return 'Destination Port';
        case 'flows':
            return 'Flows';
        case 'flowspercent':
            return 'Flow %';
        case 'bytes':
            return 'Bytes';
        case 'bytespercent':
            return 'Byte %';
        case 'packets':
            return 'Packets';
        case 'packetspercent':
            return 'Packet %';
        case 'pps':
            return 'Packets/Sec';
        case 'pbs':
            return 'Bits/Sec';
        case 'bpp':
            return 'Bits/Packet';
        default:
            return '';
    }
}
