<?php

/* Genereal helpers for NNA */

function human_readable_size($size)
{
    $gb = 1073741824; // bytes
    $mb = 1048576;
    $kb = 1024;

    if ($size > $gb) {
        return round(($size / $gb), 2) . " GB";
    } else if ($size > $mb) {
        return round(($size / $mb), 2) . " MB";
    } else if ($size > $kb) {
        return round(($size / $kb), 2) . " KB";
    } else {
        return ($size) . " B";
    }
}